Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Ipo object

This object gives access to generic data from all objects in Blender. This object has no attribute.

Method Summary |
float | `EvaluateCurveOn(curvepos, time)` Gets the current value of a curve of the Ipo.
list of 9 floats | `getBeztriple(curvepos, pointpos)` Gets a beztriple of the Ipo.
int | `getBlocktype()` Gets the blocktype of the Ipo.
a list of 4 floats | `getCurveBP(curvepos)` Gets the basepoint of a curve of the ipo.
float | `getCurvecurval(curvepos)` Gets the current value of a curve of the Ipo.
string | `getName()` Gets the name of the Ipo.
int | `getNcurves()` Gets the number of curves of the Ipo.
list of floats | `getRctf()` Gets the rctf of the Ipo.
PyNone | `setBeztriple(curvepos, pointpos, newbeztriple)` Sets the beztriple of the Ipo.
PyNone | `setBlocktype(newblocktype)` Sets the blocktype of the Ipo.
PyNone | `setName(newname)` Sets the name of the Ipo.
PyNone | `setRctf(newrctf)` Sets the rctf of the Ipo.

Method Details |

EvaluateCurveOn(curvepos, time) Gets the current value of a curve of the Ipo. Parameters: `curvepos` - the position of the curve in the ipo (type=int) `time` - the position of the curve in the ipo (type=float) Returns: the current value of the selected curve of the Ipo at the given time. (type=float)

getBeztriple(curvepos, pointpos) Gets a beztriple of the Ipo. Parameters: `curvepos` - the position of the curve in the ipo (type=int) `pointpos` - the position of the point in the curve. (type=int) Returns: the beztriple of the Ipo, or an error is raised. (type=list of 9 floats)

getBlocktype() Gets the blocktype of the Ipo. Returns: the blocktype of the Ipo. (type=int)

getCurveBP(curvepos) Gets the basepoint of a curve of the ipo. Parameters: `curvepos` - the position of the curve. (type=int) Returns: the coordinates of the basepoint, or an error is raised. (type=a list of 4 floats)

getCurvecurval(curvepos) Gets the current value of a curve of the Ipo. Parameters: `curvepos` - the position of the curve in the ipo (type=int) Returns: the current value of the selected curve of the Ipo. (type=float)

getName() Gets the name of the Ipo. Returns: the name of the Ipo. (type=string)

getNcurves() Gets the number of curves of the Ipo. Returns: the number of curve of the Ipo. (type=int)

getRctf() Gets the rctf of the Ipo. Kind of bounding box... Returns: the rctf of the Ipo. (type=list of floats)

setBeztriple(curvepos, pointpos, newbeztriple) Sets the beztriple of the Ipo. Parameters: `curvepos` - the position of the curve in the ipo (type=int) `pointpos` - the position of the point in the curve. (type=int) `newbeztriple` - the new value for the point (type=list of 9 floats) Returns: PyNone (type=PyNone)

setBlocktype(newblocktype) Sets the blocktype of the Ipo. Parameters: `newblocktype` (type=int. This value should not be changed, unless you really know what you do...) Returns: PyNone (type=PyNone)

setName(newname) Sets the name of the Ipo. Parameters: `newname` (type=string) Returns: PyNone (type=PyNone)

setRctf(newrctf) Sets the rctf of the Ipo. Parameters: `newrctf` (type=four floats . This value should not be changed, unless you really know what you do...) Returns: PyNone (type=PyNone)

<<< Previous | Home | Next >>>
Class Ipo | Up | Class IpoCurve